Kerbal Space Program - Bug #22171

renderer property block gone?
05/08/2019 09:31 PM - meirumeiru

Status: Needs Clarification Start date: 05/08/2019
Severity: Low % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Following build:

Mk2 Lander Can -> Cubic Octogonal Strut (4 on top of each other) -> MyPart

after highliting the Lander Can, inside the renderer of my part the propertyblock is

I can "fix" this by highliting one of the Cubic Octogonal Struts or by calling
part.GetComponent<Renderer>().SetPropertyBlock(part.mpb) ... after that my part renders correct again.

... gone... wrong... whatever... not working anymore

This happens for other command pod also. But not, when you put other (physical) parts between the pod and my part

History

#1 - 05/08/2019 10:10 PM - meirumeiru
sorry, | was using the Mk1 Lander Can, not Mk2

#2 - 03/25/2020 04:45 PM - Robert.Keech

- Status changed from New to Needs Clarification

| assume this is to do with mods or more specifically your own mod?
If not could you provide a video of the issue occurring?
